1.1
1.1
get /v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}
Description
Show Auto-Scaling Group policy.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | policy_id required | Policy ID Example : 0761d76085f54363bab07909baf69841 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AutoScalingGroupPolicyShowResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 1,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}